<template>
  <main>
    <section>
      <b-container class="p-4 mt-sm-4 ombre">
        <h1
          class="py-4 text-center"
          v-html="$t('faq.title')"
        ></h1>
        <div
          v-for="key in Object.keys($t(`faq`))
            .filter(i => !['title', 'ranking'].includes(i))"
          :id="key"
          :key="key"
        >
          <div v-if="$te(`faq.ranking.${key}`)">
            <h1
              class="col-lg-8 text-center mx-auto mt-4 mb-2"
              v-html="$t(`faq.${key}.title`)"
            ></h1>
            <div
              id="toc"
            >
              <h2 v-html="$t('toc')"></h2>
              <ul>
                <li
                  v-for="id in $t(`faq.ranking.${key}`)"
                  :key="id"
                >
                  <a
                    :href="`#q-${id}`"
                    v-html="$t(`faq.${key}['${id}'].q`)"
                  ></a>
                </li>
              </ul>
            </div>
            <b-row
              v-for="id in $t(`faq.ranking.${key}`)"
              :id="`q-${id}`"
              :key="id"
              class="pt-4 pb-3 mb-4 mx-0"
            >
              <b-col
                tag="h2"
                lg="4"
                class="h3 text-lg-right"
              >
                <a :href="`#q-${id}`">
                  <i class="fas fa-link"></i>
                  <span v-html="$t(`faq.${key}['${id}'].q`)"></span>
                </a>
              </b-col>
              <b-col
                lg="8"
                v-html="$t(`faq.${key}['${id}'].a`)"
              />
            </b-row>
          </div>
        </div>
      </b-container>
    </section>
  </main>
</template>

<style lang="scss">
#faq {
  #framaspace h1 { display: none; }

  #toc {
    max-width: 800px;
    width: 100%;
    float: none;
    margin: 0 auto 1rem;
  }

  .h3 a {
    background: none !important;

    .fas {
      visibility: hidden;
    }

    &:hover, &:focus {
      .fas {
        visibility: visible;
      }
    }
  }

  .row:target  {
    background: var(--j-p1);
  }

  .content-wrapper {
    margin-bottom: 40px;
  }

  .list-group-item {
    background: #fff;
    border-radius: 0;
    border: none;
    border-bottom: 1px solid var(--j-p2);
    border-top: 1px solid var(--j-p2);
    margin: 0;

    &:nth-child(odd) {
      border-image: linear-gradient(to right, #fff 40%, var(--j-p2)) 1;
    }
    &:nth-child(even) {
      border-image: linear-gradient(to right, #fff 20%, var(--j-p2)) 1;
    }

    &.active {
      color: inherit;
      background: #fff8f1;
      border: none;
      border-left: 3px solid var(--j-p2);
      padding-left: calc(1.25rem - 3px);
    }

    &:first-child {
      border-top: none;
    }
    &:last-child {
      border-bottom: none;
    }
  }
}
</style>
